summaryrefslogtreecommitdiff
path: root/eclass/gap-pkg.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-01-24 16:45:44 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-01-24 16:45:44 +0000
commitb0fd0bc5c186e99078ed8d07146e8c14f1089639 (patch)
tree5567654e1937500080d1c90411624ab268d27795 /eclass/gap-pkg.eclass
parent1804d2ae908b26fe4e3d3a38646c7d6ffa733d92 (diff)
gentoo auto-resync : 24:01:2024 - 16:45:44
Diffstat (limited to 'eclass/gap-pkg.eclass')
-rw-r--r--eclass/gap-pkg.eclass2
1 files changed, 2 insertions, 0 deletions
diff --git a/eclass/gap-pkg.eclass b/eclass/gap-pkg.eclass
index 89c158674b0f..e242cc92e8a3 100644
--- a/eclass/gap-pkg.eclass
+++ b/eclass/gap-pkg.eclass
@@ -231,8 +231,10 @@ gap-pkg_src_test() {
# The "browse" package is however smart enough to figure out when
# stdout is not a tty, and avoids breaking it in that case. So by
# piping to tee, we encourage it not to do anything too crazy.
+ eshopts_push -o pipefail
${gapcmd} | tee test-suite.log \
|| die "test suite failed, see test-suite.log"
+ eshopts_pop
}
# @ECLASS_VARIABLE: GAP_PKG_EXTRA_INSTALL